FLOW-3D Supported Platforms

FLOW-3D 는 64-bit Windows 와 Linux 플랫폼에서 사용가능합니다.


Supported Operating Systems

1) Processors

–  x86-64 (Intel/AMD) 프로세스를 지원합니다.

2) Operating Systems

– 64-bit Windows 7, Windows 8, Windows 8.1, Windows 10, Windows Server 2008, and Windows Server 2012
– 64-bit Red Hat Enterprise Linux 6, Red Hat Enterprise Linux 7 and SUSE 11*
– Windows 및 Linux에 대한 시뮬레이션 시간은 대등합니다. 사용자가 사용하기 편리한 운영 체제를 선택하면 됩니다.

*FLOW-3D 버전 11.0.3부터 SUSE 리눅스는 더 이상 지원되지 않는 플랫폼입니다. 문제 발생시 Flow Science의 배포판인 RedHat 과 Novell enterprise-class Linux distributions (예 : Fedora, Scientific Linux, Debian, Ubuntu )등 “호환” 리눅스 배포판에 FLOW-3D를 설치 한 사용자에 대한 지원만 제공됩니다.

FLOW-3D / MP Requirements

FLOW-3D / MP 버전 사용에 관심이 있으신 경우 홈페이지의 FLOW-3D / MP에 대한 소개 페이지에서 하드웨어 및 운영 체제에 대한 자세한 정보를 찾을 수 있습니다..

Graphics Support

FLOW-3D는 OpenGL 드라이버가 만족스럽게 수행되는 최신 그래픽 카드가 필요합니다. 최소한 OpenGL 3.0을 지원하는 것이 좋습니다. FlowSight는 DirectX 11 이상을 지원하는 그래픽 카드에서 가장 잘 작동합니다. 권장 옵션은 엔비디아의 쿼드로 K 시리즈와 AMD의 파이어 프로 W 시리즈입니다. 엔비디아의 GTX 게이밍 하드웨어는 볼륨 렌더링의 속도가 느리거나 오동작 등 몇 가지 제한 사항이 있습니다. 일반적으로 노트북에 내장된 통합 그래픽 카드보다는 개별 그래픽 카드를 강력하게 추천합니다. 최소한 그래픽 메모리는 512MB 이상을 권장합니다.

License Server Software

FLOW-3D 라이선스를 관리하기 위해 FLEXlm을 사용합니다. 만약 Windows network에서 FLEXlm floating manager를 사용한다면 network server로 Microsoft Windows 7, 8, 8.1, Server 2008, 또는 Server 2012 와 hardware key (dongle)를 사용하여야 합니다.

Memory and Processor Speed

프로세서 코어 당 최소 2GB의 RAM을 권장합니다. 예를 들어, 두 개의 6 코어 CPU가 있을 경우 워크스테이션의 메모리는 최소 24 GB가 있어야합니다. 필요한 RAM의 양은 해석 대상 문제에 매우 의존적입니다. 큰 도메인 또는 복잡한 형상에서 좋은 해상도를 원하는 시뮬레이션은 필요한 최소한 RAM보다 훨씬 더 많은 RAM이 필요합니다. 메모리 속도는 시뮬레이션 시간에 영향을 작게 밥지만 통상적으로 1333MHz 또는 1600 MHz이면 충분합니다.

Custom Developer Tools

Flow Science가 표준 설치의 일부로 배포하는 서브 루틴을 사용자가 Fortran 코드로 커스터마이즈 개발하고자 할 경우 현재 국내에 보급된 버전의 경우 Intel Fortran Compiler 2013용 라이센스가 필요합니다. Windows 운영 체제를 실행하는 사용자는 Visual Studio 2010 또는 Visual Studio 2013이 필요합니다.

향후 업그레이드 되는 버전의 경우 다음과 같이 변경됨을 참고하시기 바랍니다.

1. 다음 주요 릴리스인 FLOW-3D v12.1FLOW-3D CAST v5.1
Intel® FORTRAN 컴파일러 버전 19.0.3.203 빌드 20190206(윈도우즈) 및 버전 19.0.3.19 빌드 20190206(리눅스) 를 사용해야 합니다.

사용자가 Solver의 Custom Code를 개발하여 사용하기를 원하는 Windows 사용자들은 Microsoft Visual Studio 2017 Professional이 필요합니다.

2. 현재 버전인 FLOW-3D v12.0 FLOW-3D CAST v5.0과 그에 대한 후속 업데이트는 Intel® FORTRAN 버전 16.0.1 및 Microsoft Visual Studio 2010/2013 Professional을 통해 계속 사용되는 것을 유의하십시오.

이 내용은 Solver에 대해 제공된 소스 코드를 수정하고 다시 컴파일(즉, 사용자 정의)하는 커스텀 코드 개발 사용자에게만 적용됩니다. 솔버를 사용자 정의하여 개발하지 않을 경우 어떠한 조치도 필요하지 않습니다. 이 컴파일러 업데이트에 대해 궁금한 점이 있으면 언제든지 flow3d@stikorea.co.kr 로 문의하십시오.